<?php



class DestinosComisionadosMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.DestinosComisionadosMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('DESTINOS_COMISIONADOS');
		$tMap->setPhpName('DestinosComisionados');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('NITOCC', 'Nitocc', 'double' , CreoleTypes::NUMERIC, 'TERCEROS', 'NITOCC', true, 22);

		$tMap->addForeignPrimaryKey('ID_COMISION', 'IdComision', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addPrimaryKey('CODMUN', 'Codmun', 'string', CreoleTypes::VARCHAR, true, 20);

		$tMap->addColumn('ORDEN', 'Orden', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addForeignPrimaryKey('VIGENCIA', 'Vigencia', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addForeignKey('ID_TRANSPORTE', 'IdTransporte', 'double', CreoleTypes::NUMERIC, 'TRANSPORTES', 'ID', false, 22);

		$tMap->addColumn('FECHA_INI', 'FechaIni', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('FECHA_FIN', 'FechaFin', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('NUM_DIAS', 'NumDias', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 